#include <stdio.h>
#include <string.h>
#include <stdlib.h>
#include <time.h>

#define MAX 15

typedef long RESULT;

RESULT Binom(int n, int r)
{
    RESULT res = 1;
    for ( int i = 0; i < r; i++ ) 
        res = res * (n - i) / (i + 1);
    return res;
}

RESULT Fact(int n)
{
    RESULT res = 1;
    for ( int i = 1; i <= n; i++ ) res *= i;
    return res;
}

RESULT Orders1v(int n, int p)
{
    static RESULT Orders1st[MAX][MAX];

    if ( n < 0 ) return 0;
    if ( p == n ) return 1;
    if ( p > n || p <= 0 ) return 0;

    if ( Orders1st[n][p] != 0 ) return Orders1st[n][p];

    RESULT total = 0;
    for ( int i = p; i <= n; i++ )
        total += Binom(n - 1, i - 1) * Orders1v(i - 1, p - 1) * Fact(n - i);

    Orders1st[n][p] = total;

    return total;
}

RESULT Orders2v(int n, int p, int r)
{
    if ( n < p + r - 1 ) return 0;

    RESULT total = 0;
    for ( int i = p; i <= n - r + 1; i++ )
        total += Binom(n - 1, i - 1) * Orders1v(i - 1, p - 1) * Orders1v(n - i, r - 1);
    return total;
}

int main()
{
    int N, n, r, p;

    scanf(" %d", &N);

    for ( int i = 0; i < N; i++ ) {
        scanf(" %d %d %d", &n, &p, &r);
        RESULT res = Orders2v(n, r, p);
        printf("%d\n", res);
        //printf("%.0f\n", res);
    }

    return 0;
}
